<?php
$template = <<<END
<!-- block_kiji_list:記事一覧 -->
<section class="block_news">
<div class="list-free">
<!--{def item/title}-->
<h2 class="w1">{val item/title}</h2>
<!--{/def}-->
<dl class="new1-maru">
<!--{each item/newinfo}-->
<dt>{val item/newinfo/news_date}<!--{def item/newinfo/kind}--><span<!--{def item/newinfo/color}--> class="{val item/newinfo/color}"<!--{/def}-->>{val item/newinfo/kind}</span><!--{/def}--></dt>
<!--{def item/newinfo/url}-->
<dd><a href="{val item/newinfo/url}">{val item/newinfo/title}</a></dd>
<!--{/def}-->
<!--{ndef item/newinfo/url}-->
<dd>{val item/newinfo/title}</dd>
<!--{/ndef}-->
<!--{/each}-->
<!--{ndef item/newinfo}-->
<div>記事はありません</div>
<!--{/ndef}-->
</dl>
</div>
<!--/.list-free-->

<!--{def item/pager}-->
<div class="pager">
<!--{def item/pager/prev}-->
<a href="./?act={val act}&f={val item/f}&p={val item/pager/prev/no}">&lt;&lt; 前へ</a>
<!--{/def}-->
<!--{each item/pager/list}-->
<!--{ndef item/pager/list/link}-->
<span>{val item/pager/list/name}</span>
<!--{/ndef}-->
<!--{def item/pager/list/link}-->
<a href="./?act={val act}&f={val item/f}&p={val item/pager/list/no}">{val item/pager/list/name}</a>
<!--{/def}-->
<!--{/each}-->
<!--{def item/pager/next}-->
<a href="./?act={val act}&f={val item/f}&p={val item/pager/next/no}">次へ &gt;&gt;</a>
<!--{/def}-->
</div>
<!--{/def}-->

<!--{def item/log}-->
<p class="c"><a href="./?act={val act}" class="btn1">一覧に戻る<i class="fas fa-arrow-circle-right"></i></a></p>
<!--{/def}-->
</section>
END;

$block_kiji_list = array(
	"title" => "記事一覧",
	"name" => "block_kiji_list",			// 名称、重複すると正しく動作しません
	"template" => $template,		// ブロックのテンプレート
	"css_file" => "pager.css",
	"input" => array(
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=block_kiji_list",
			"class" => "notice",
		),
		"notice1" => array(
			"title" => "このブロックは1ページに1つしか使えません",
			"type" => "comment",
			"class"=> "notice",
		),
		"title" => array(
			"title" => "タイトル",
			"type" => "text",
		),
		"kind" => array(
			"title" => "記事種類",
			"type" => "select",
			"info" => "表示する記事の種類を選択、選択しないと全種類が出力されます",
		),
		"detail" => array(
			"title" => "詳細ページ",
			"type" => "text",
			"info" => "詳細ページを指定すると、リンクの記入のない記事はそこで表示されます。",
		),
	),
	"func" => "func_block_kiji_list",		// 処理プログラム（指定がない物は標準処理）
	"func_kanri" => "func_kanri_block_kiji_list",		// 処理プログラム（指定がない物は標準処理）
);

block_add($block_kiji_list);

function func_kanri_block_kiji_list($info)
{
	$login = get_setup();
	$kiji_list = array("" => "");
	$kiji_color = array("" => "");
	for ($i = 1; $i <= 10; $i++) {
		if (trim($login["kiji" . $i])) {
			$ary = explode("|", trim($login["kiji" . $i]));
			$kiji_list[$i] = $ary[0];
			$kiji_color[$i] = $ary[1];
		}
	}
	$info["kind"]["list"] = $kiji_list;
	return $info;
}
// お知らせの取得
function func_block_kiji_list($def, $info)
{
	$page_limit = 20;

	$login = get_setup();
	$kiji_list = array("" => "");
	$kiji_color = array("" => "");
	for ($i = 1; $i <= 10; $i++) {
		if (trim($login["kiji" . $i])) {
			$ary = explode("|", trim($login["kiji" . $i]));
			$kiji_list[$i] = $ary[0];
			$kiji_color[$i] = $ary[1];
		}
	}
	//
	$page = 0;
	if ($_REQUEST["p"]) {
		$page = intval($_REQUEST["p"]);
	}
	$st = $page * $page_limit;
	$ed = $st + $page_limit - 1;
	//
	$info["newinfo"] = array();
	$list = get_newinfo(1000, INFO_LIST, "", "", $info["kind"]);
	if (is_array($list)) {
		$count = 0;
		foreach ($list as $key => $val) {
			if (($count >= $st)&&($count <= $ed)) {
				$val["color"] = "bgcolor-" . $kiji_color[$val["kind"]] . "-maru";
				$val["kind"] = $kiji_list[$val["kind"]];
				if (($val["url"] == "")&&($info["detail"])) {
					$val["url"] = "./?act=" . $info["detail"] . "&id=" . $val["info_id"];
				}
				$info["newinfo"][] = $val;
			}
			$count++;
		}
		if ($count > $page_limit) {
			$pages = intval(($count + $page_limit - 1) / $page_limit);
			$info["pager"] = pager($page, $pages);
		}
	}
	return $info;
}
